#ifndef SETTINGSDLG_H
#define SETTINGSDLG_H

#include <QDialog>

class QWidget;
class QHBoxLayout;
class QVBoxLayout;
class QPushButton;
class QLabel;
class IEngine;

class SettingsDlg : public QDialog
{
    Q_OBJECT
public:
    SettingsDlg(QWidget *parent, IEngine *engine);
    ~SettingsDlg();

public slots:
    void updateRemoteName();

private slots:
    void showAdvSettingsDlg();
    void showSelectRemoteDlg();
    void showAboutDlg();
    void setRating(int);

private:
    IEngine *engine;
    QVBoxLayout *layout;
    QHBoxLayout *btnLayout;
    QHBoxLayout *remoteNameLayout;
    QPushButton *advSettingsBtn;
    QPushButton *selectRemoteBtn;
    QPushButton *rateUpBtn;
    QPushButton *rateDownBtn;
    QPushButton *aboutBtn;
    QLabel *remoteNameLabel;
    QLabel *ratingLabel;
};

#endif

